%set_verify_elf_method textrel=relaxed
%def_disable static

Name: xvid
Version: 1.1.0
Release: alt1.M30.1
Summary: MPEG-4 video codec.
Summary(uk_UA.CP1251): MPEG-4  .
Summary(ru_RU.CP1251): MPEG-4  .
Group: System/Libraries
License: GPL
URL: http://www.xvid.org
Source: %{name}core-%version.tar.bz2

%ifarch %ix86
BuildRequires: nasm
%endif
%ifarch x86_64
BuildRequires: yasm
%endif

%description
XviD is a high performance and high quality MPEG-4 video de-/encoding solution.

%description -l uk_UA.CP1251
XviD -      / MPEG-4.

%description -l ru_RU.CP1251
XviD -      /
MPEG-4.


%package -n lib%name
Summary: Shared library of XviD video codec
Summary(uk_UA.CP1251):     XviD.
Summary(ru_RU.CP1251):     XviD.
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name

%description -n lib%name
XviD is a high performance and high quality MPEG-4 video de-/encoding solution.

This package includes the shared library needed to run XviD software.

%description -n lib%name -l uk_UA.CP1251
XviD -      / MPEG-4.

    ,    , 
 lib%{name}core.

%description -n lib%name -l ru_RU.CP1251
XviD -      /
MPEG-4.

    ,    ,
 lib%{name}core.


%package -n lib%name-devel
Summary: Development files of XviD video codec
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n lib%name-devel
XviD is a high performance and high quality MPEG-4 video de-/encoding solution.

This package includes the header files needed to develop XviD-based software.

%description -n lib%name-devel -l uk_UA.CP1251
XviD -      / MPEG-4.

    ,     
 XviD.

%description -n lib%name-devel -l ru_RU.CP1251
XviD -      /
MPEG-4.

    ,     
c XviD.


%package -n lib%name-devel-static
Summary: Static library of XviD video codec
Summary(uk_UA.CP1251):     XviD.
Summary(ru_RU.CP1251):     XviD.
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %name-static-libs = %version-%release
Obsoletes: %name-static-libs


%description -n lib%name-devel-static
XviD is a high performance and high quality MPEG-4 video de-/encoding solution.

This package contains static library of XviD video codec.

%description -n lib%name-devel-static -l uk_UA.CP1251
XviD -      / MPEG-4.

      XviD.

%description -n lib%name-devel-static -l ru_RU.CP1251
XviD -      /
MPEG-4.

      XviD.


%prep
%setup -q -n %{name}core-%version


%build
pushd build/generic
%add_optflags %optflags_shared
%configure %{subst_enable static}
%make_build
popd


%install
pushd build/generic
%makeinstall
popd
ln -s lib%{name}core.so.4.1 %buildroot%_libdir/lib%{name}core.so
bzip2 --best ChangeLog*


%post -p %post_ldconfig


%postun -p %postun_ldconfig


%files -n lib%name
%doc AUTHORS ChangeLog* README TODO
%_libdir/*.so.*


%files -n lib%name-devel
%doc CodingStyle doc/*
%_libdir/*.so
%_includedir/*.h

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Mar 01 2006 LAKostis <lakostis at altlinux.ru> 1.1.0-alt1.M30.1
- backport to ALTLinux M30.
